Package com.massivecraft.factions.zcore.nbtapi

## Class NBTContainer

- java.lang.Object
- - com.massivecraft.factions.zcore.nbtapi.NBTCompound
  - - com.massivecraft.factions.zcore.nbtapi.NBTContainer

    public class NBTContainer
    extends NBTCompound

### Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`` | `NBTContainer()` |
`protected` | `NBTContainer​(java.lang.Object nbt)` |
`` | `NBTContainer​(java.lang.String nbtString)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected java.lang.Object` | `getCompound()` |
`protected void` | `setCompound​(java.lang.Object tag)` |

### Methods inherited from class com.massivecraft.factions.zcore.nbtapi.NBTCompound

`addCompound, asNBTString, getBoolean, getByte, getByteArray, getCompound, getContent, getDouble, getFloat, getIntArray, getInteger, getKeys, getList, getLong, getName, getObject, getParent, getShort, getString, getType, hasKey, mergeCompound, removeKey, set, setBoolean, setByte, setByteArray, setDouble, setFloat, setIntArray, setInteger, setLong, setObject, setShort, setString, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NBTContainer

    public NBTContainer()

#### NBTContainer

    protected NBTContainer​(java.lang.Object nbt)

#### NBTContainer

    public NBTContainer​(java.lang.String nbtString)
                 throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

### Method Detail

#### getCompound

    protected java.lang.Object getCompound()

Overrides:
  `getCompound` in class `NBTCompound`

#### setCompound

    protected void setCompound​(java.lang.Object tag)

Overrides:
  `setCompound` in class `NBTCompound`